package com.sh.djpk.econsole.ui.controller.pelaporan;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class PelaporanNasional extends Pelaporan {

	private static final long serialVersionUID = 1L;

	public PelaporanNasional() {
		super();
	}

	@Override
	public void cari() {
		LOGGER.info("CARI DATA LAPORAN NASIONAL");
		LOGGER.info("periode laporan ={}", selectedPeriodeLaporan);
		dataPencarian = ambilData(1);
	}

	// @Override
	// public void cari() {
	// LOGGER.info("CARI DATA LAPORAN NASIONAL");
	// LOGGER.info("jenis laporan = {}, periode laporan ={}, others={}",
	// selectedJenisLaporan, selectedPeriodeLaporan, selectedOthers);
	// int kodeLaporan = NumberUtils.toInteger(selectedJenisLaporan);
	// if (kodeLaporan == 1 || kodeLaporan == 2 || kodeLaporan == 3
	// || kodeLaporan == 4) {
	// dataPencarian = ambilData(1);
	// // dataPencarian = ambilData() == null ? new ArrayList<Map<String,
	// // Object>>()
	// // :
	// // (ArrayList<Map<String,Object>>)ambilData().get("list_tingkat1");
	// }
	// }

}
